For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all triggers
      • POSTCreate a new trigger
      • PUTUpdate an existing trigger
      • DELDelete a trigger
      • POSTHandle Slack Events
      • POSTHandle Telegram Webhook
      • POSTHandle crons
      • POSTUpdate cron job authentication headers
LogoLogo
Scout DocsAccess Scout
EndpointsTriggers

Handle Telegram Webhook

Beta
POST
https://api.scoutos.com/v2/triggers/telegram/execute/:connection_id
POST
/v2/triggers/telegram/execute/:connection_id
$curl -X POST https://api.scoutos.com/v2/triggers/telegram/execute/connection_id \
> -H "Authorization: Bearer <token>"
1{}

Receive Telegram webhook updates. Telegram sends POST with JSON body (Update object). Respond 200 quickly; look up Trigger docs for this connection and run agent, streaming replies to Telegram.

Was this page helpful?
Previous

Handle crons

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_idstringRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error